Package Details: hpvirtualrooms 8.1.0.4518-2

Git Clone URL: https://aur.archlinux.org/hpvirtualrooms.git (read-only)
Package Base: hpvirtualrooms
Description: Online meeting client with desktop sharing support
Upstream URL: https://www.rooms.hp.com/
Keywords: hp
Licenses: unknown
Submitter: viliampucik
Maintainer: jetm
Last Packager: jetm
Votes: 4
Popularity: 0.003147
First Submitted: 2011-10-22 17:08
Last Updated: 2015-07-26 14:13

Latest Comments

jevv commented on 2015-05-23 21:46

gcc-libs-multilib is not really needed, why added as a dep? Shouldn't lib32-gcc-libs be used instead?

--
Javier

jetm commented on 2015-03-12 13:19

Viliampucik, thanks for fixing the download link to install hpvirtualrooms.

I run namcap over and found these issues:

hpvirtualrooms E: unknown is not a common license (it's not in /usr/share/licenses/common/)
hpvirtualrooms E: ELF file ('usr/share/hpvirtualrooms/hpvirtualrooms') outside of a valid path.
hpvirtualrooms W: ELF file ('usr/share/hpvirtualrooms/hpvirtualrooms') has executable stack.
hpvirtualrooms E: Dependency lib32-mesa detected and not included (libraries ['usr/lib32/libGL.so.1'] needed in files ['usr/share/hpvirtualrooms/hpvirtualrooms'])
hpvirtualrooms W: Dependency lib32-glib2 included but already satisfied

The license I don't know which could be. I look in the tar.gz file and it doesn't have one. But, I guess the ELF file issue and the missing lib32-mesa could be fixed. Thanks!

viliampucik commented on 2015-03-12 13:12

That's a good news jetm!

BTW I was not aware of Arch Linux based distros, according its home page Manjaro looks nice :)

jetm commented on 2015-03-12 13:08

Thanks viliampucik! I found out is an issue of Manjaro system, based on Arch Linux. It doesn't have lib32-libgl package, but it has lib32-mesa package that provides /usr/lib32/mesa/libGL.so.

viliampucik commented on 2015-03-11 22:19

Hi jetm, /usr/lib32/libGL.so.1 is provided by default by lib32-libgl (or lib32-nvidia-libgl) package and so the missing link is not directly related to hpvirtualrooms package.

jetm commented on 2015-03-11 16:18

Hi,

There is an issue when /usr/bin/hpvirtualrooms is called. It shows this error:

./hpvirtualrooms: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

I solved it with:

sudo ln -s /usr/lib32/mesa/libGL.so.1.2.0 /usr/lib32/libGL.so.1

You might want to update the PKGBUILD file.

Thanks!

viliampucik commented on 2014-12-22 11:02

Thanks Jevv! You are correct, HP will obsolete Virtual Rooms in favor of MyRoom. However Virtual Rooms is still in production, so I keep its package in AUR.

Thanks for hpmyroom PKGBUILD :) I put its updated version in AUR:

https://aur.archlinux.org/packages/hpmyroom/

jevv commented on 2014-12-22 01:48

I believe hpvirtualroom has been discontinued/obsolted by HP (no more development neither support) in favor of hpmyroom:

https://www.myroom.hp.com

It includes the same rooms capabilities hpvirtualroom offered, plus audio and vieo, and regular chatting, vido conference and sharing capabilities.

A new account can be set from the client itself once downloaded.

Maitaining a package requires being using the client constantly, given any new update from hp inhibits the old client to work until a new one is installed or until it's been upgraded.

Below a tentative PKGBUILD.

Javier

--

pkgname=hpmyroom
pkgver=10.0.0.0210
pkgrel=0
pkgdesc="HP MyRoom"
url="https://www.myroom.hp.com"
arch=('i686' 'x86_64')
license="custom"
provides=('hpmyroom')
if [ $CARCH = 'i686' ] ;
then
debarch=i386
md5sums=('87040242987e821642fda506bf1734eb')
depends=('libutil-linux' 'libxss' 'libxfixes' 'libxtst' 'alsa-lib' 'libpng12' 'libsm' 'libice' 'libxrender' 'fontconfig' 'freetype2' 'libxext' 'libx11' 'zlib' 'glibc' 'glib2' 'gcc-libs' 'libxi' 'expat' 'bzip2' 'libpng' 'harfbuzz' 'libxcb' 'pcre' 'libxau' 'libxdmcp' 'libpulse')
else
debarch=amd64
md5sums=('79040052c999f741f12d84d049958b8c')
depends=('lib32-util-linux' 'lib32-libxss' 'lib32-libxfixes' 'lib32-libxtst' 'lib32-alsa-lib' 'lib32-libpng12' 'lib32-libsm' 'lib32-libice' 'lib32-libxrender' 'lib32-fontconfig' 'lib32-freetype2' 'lib32-libxext' 'lib32-libx11' 'lib32-zlib' 'lib32-glibc' 'lib32-glib2' 'lib32-gcc-libs' 'lib32-libxi' 'lib32-expat' 'lib32-bzip2' 'lib32-libpng' 'lib32-harfbuzz' 'lib32-libxcb' 'lib32-pcre' 'lib32-libxau' 'lib32-libxdmcp' 'lib32-libpulse')
fi
source=(https://www.myroom.hp.com/downloadfiles/${pkgname}_v${pkgver}_${debarch}.deb)

package() {
ar x ${pkgname}_v${pkgver}_${debarch}.deb
tar xf data.tar.xz --no-same-permissions --no-overwrite-dir -C $pkgdir
chmod a-x $pkgdir/usr/share/applications/HP-myroom.desktop
chmod a-x $pkgdir/usr/share/hpmyroom/cacerts.pem
chmod a-x $pkgdir/usr/share/hpmyroom/Resources/*
}

viliampucik commented on 2013-12-26 22:57

Thanks calegria! Dependencies have been fixed.

calegria commented on 2013-12-13 16:59

Hi,

I think you are missing lib32-libsm library to get hprooms working. I had a x86 free installation on my box, and I was missing that library.

thanks,

All comments